Ubuntu Feisty

William Harrington wwh04660 at ucmo.edu
Sat Jun 30 10:15:30 PDT 2007


On Jun 30, 2007, at 4:20 AM, Alan Lord wrote:

> Miguel Bazdresch wrote:
>> William Harrington wrote:
>>> apt-get search libc6 doesn't give any dev package whatsoever.
>>>
>>> That's why I mentioned it. Maybe I gotta update some kinda
>>> package list or something. No idea, just reporting what
>>> problems others have done and I haven't been successful at
>>> installing the required dev packages.
>>
>> I just finished building lfs-devel with gcc 4.2.0 on a laptop wiht
>> Feisty (kubuntu) laptop at work. Unfortunately I won't have access
>> to it until monday, but if you want I can find out exactly which
>> devel packages I installed. I don't remember it being a problem; to
>> the best of my recollection I installed gcc-devel and possibly
>> something libc6 related. I most definitely didn't change the default
>> package lists.
>>
>> HTH,
>>
>
> You need to install the package "build-essential" first. This should
> pull in most everything you need...
>
> Al

Ok finally got apt-get update to run and then libc6-dev was there.

Just installing that fixed it. I've read before that build-essential  
was done, but libc6-dev is all that is needed to build LFS from  
feisty. Of course, following the errata as well for having CC="gcc -B/ 
usr/bin" . Also with glibc csu/version-info.h not terminating quotes  
on lines 2 and 3.

Sincerely,

William



More information about the lfs-support mailing list